sqlr-listener(8)

NAME
sqlr-listener - connect to a TCP port and wait for queries

SYNOPSIS
sqlr-listener [-id ID] [-config CONFIGFILE]

DESCRIPTION
The job of the sqlr-listener is to connect to a TCP port and wait for queries. When it gets one, it waits for an available connection daemon, hands off the query to it, waits for the result set, and hands the result set back to the client.

OPTIONS
CONFIGFILE is the filename of the configuration file to use. The default configuration file is /etc/sqlrelay/sqlrelay.conf. ID is the same as the ID argument in the sqlr-connection daemon and associates a listener with a pool of connections. Only one listener needs to be established for a given ID.

SEE ALSO
sqlr-connection(8)

AUTHOR
This manual page was written by Andreas Tille <tille@debian.org>, for the Debian GNU/Linux system (but may be used by others).